Package org.opensaml.xmlsec.impl

# Class BasicDecryptionParametersResolver

java.lang.Object
org.opensaml.xmlsec.impl.AbstractSecurityParametersResolver<DecryptionParameters>
org.opensaml.xmlsec.impl.BasicDecryptionParametersResolver

All Implemented Interfaces:
  `Resolver<DecryptionParameters,CriteriaSet>`, `DecryptionParametersResolver`

public class BasicDecryptionParametersResolver extends AbstractSecurityParametersResolver<DecryptionParameters> implements DecryptionParametersResolver
Basic implementation of `DecryptionParametersResolver`.

The following `Criterion` inputs are supported:

- `DecryptionConfigurationCriterion` - required

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`BasicDecryptionParametersResolver()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`logResult(DecryptionParameters params)`
Log the resolved parameters.
`Iterable<DecryptionParameters>`
`resolve(CriteriaSet criteria)`
`protected KeyInfoCredentialResolver`
`resolveDataKeyInfoCredentialResolver(CriteriaSet criteria)`
Resolve and return the effective `KeyInfoCredentialResolver` used with `EncryptedData` instances.
`protected EncryptedKeyResolver`
`resolveEncryptedKeyResolver(CriteriaSet criteria)`
Resolve and return the effective `EncryptedKeyResolver`.
`protected KeyInfoCredentialResolver`
`resolveKEKKeyInfoCredentialResolver(CriteriaSet criteria)`
Resolve and return the effective `KeyInfoCredentialResolver` used with `EncryptedKey` instances.
`private Set<String>`
`resolveRecipients(CriteriaSet criteria)`
Resolve the effective set of recipients against which to evaluate candidate EncryptedKey elements.
`DecryptionParameters`
`resolveSingle(CriteriaSet criteria)`

### Methods inherited from class org.opensaml.xmlsec.impl.AbstractSecurityParametersResolver

`lookupKeyInfoGenerator, resolveAndPopulateIncludesExcludes, resolveEffectiveExcludes, resolveEffectiveIncludes, resolveIncludeExcludePrecedence, resolveIncludeExcludePredicate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### BasicDecryptionParametersResolver

public BasicDecryptionParametersResolver()

## Method Details

### resolve

@Nonnull public Iterable<DecryptionParameters> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<DecryptionParameters,CriteriaSet>`
Throws:
  `ResolverException`

### resolveSingle

@Nullable public DecryptionParameters resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<DecryptionParameters,CriteriaSet>`
Throws:
  `ResolverException`

### logResult

protected void logResult(@Nonnull DecryptionParameters params)
Log the resolved parameters.

Parameters:
  `params` - the resolved param

### resolveEncryptedKeyResolver

@Nullable protected EncryptedKeyResolver resolveEncryptedKeyResolver(@Nonnull CriteriaSet criteria)
Resolve and return the effective `EncryptedKeyResolver`.

Parameters:
  `criteria` - the input criteria being evaluated
Returns:
  the effective resolver, or null

### resolveKEKKeyInfoCredentialResolver

@Nullable protected KeyInfoCredentialResolver resolveKEKKeyInfoCredentialResolver(@Nonnull CriteriaSet criteria)
Resolve and return the effective `KeyInfoCredentialResolver` used with `EncryptedKey` instances.

Parameters:
  `criteria` - the input criteria being evaluated
Returns:
  the effective resolver, or null

### resolveDataKeyInfoCredentialResolver

@Nullable protected KeyInfoCredentialResolver resolveDataKeyInfoCredentialResolver(@Nonnull CriteriaSet criteria)
Resolve and return the effective `KeyInfoCredentialResolver` used with `EncryptedData` instances.

Parameters:
  `criteria` - the input criteria being evaluated
Returns:
  the effective resolver, or null

### resolveRecipients

private Set<String> resolveRecipients(@Nonnull CriteriaSet criteria)
Resolve the effective set of recipients against which to evaluate candidate EncryptedKey elements.

Parameters:
  `criteria` - the input criteria being evaluated
Returns:
  the recipients set, or null